#pragma once
#include "levelmanager.hpp"
#include "constants.hpp"
#include <deque>
#include "textures.hpp"
#include "guecs.hpp"

namespace gui {
  class StatusUI {
    public:
      guecs::UI $gui;
      DinkyECS::Entity $log_to;
      std::array<std::string, 9> $slots = {
        "slot1", "slot2", "slot3",
        "slot4", "slot5", "slot6",
        "slot7", "slot8", "slot9"
      };

      std::deque<std::string> $messages;
      GameLevel $level;
      StatusUI(GameLevel level);
      void select_slot(DinkyECS::Entity ent, std::any data);
      void update_level(GameLevel &level) { $level = level; }
      void log(std::string msg);
      void render();
      void draw(sf::RenderWindow &window);
      void update();
  };
}
